package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.schedule.service.IWfCourseAdjustService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 调课顶课发起申请时备份数据
 */
@Component("wf_course_backups_node")
public class WfCourseBackupsNode extends NodeComponent {
    @Autowired
    private IWfCourseAdjustService wfCourseAdjustService;

    @Override
    public void process() throws Exception {
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            wfCourseAdjustService.backupsData(formId);
        }
    }
}
